import { AfterViewInit, DoCheck, KeyValueDiffers, NgZone } from '@angular/core';
import * as i0 from "@angular/core";
export declare class WorkflowDesignerComponent implements AfterViewInit, DoCheck {
    private _ngZone;
    private window;
    private differs;
    schemeCode: string;
    processId: string;
    designerFolder: string;
    designerConfig: any;
    data?: object;
    innerDesigner: any;
    private uploadCallback;
    private uploadType?;
    private resizeTimer?;
    private configDiffer;
    constructor(_ngZone: NgZone, window: Window, differs: KeyValueDiffers);
    ngDoCheck(): void;
    /**
     * Clears the designer, equivalent of creating empty scheme design
     */
    clearScheme(): void;
    /**
     * Get Workflow Designer Errors
     *
     * @returns Errors in Workflow Designer
     */
    getDesignerErrors(): any;
    /**
     * Save Workflow scheme
     *
     * @param {function} successCallback Function which will be executed if save was successful
     * @param {function} errorCallback Function which will be executed if save operation failed
     */
    save(successCallback: Function, errorCallback: Function): void;
    /**
     * Download XML file which contain Workflow Scheme description
     */
    downloadScheme(): void;
    /**
     * Upload BPMN or XML file
     *
     * @param uploadType {string} Upload type, can be 'scheme' or 'bpmn'
     * @param {function} callback Function that will be executed after uploading file
     */
    upload(uploadType: string, callback: Function): void;
    /**
     * Check for scheme existence by the scheme code from props
     *
     * @returns {boolean} If scheme exists true, otherwise, false
     */
    isSchemeExist(): any;
    /**
     * Check for process existence by scheme code
     * and process id given in props
     *
     * @returns {boolean} If process exists true, otherwise, false
     */
    isProcessExist(): any;
    /**
     * Refresh data in WorkflowDesigner
     */
    refresh(): void;
    ngAfterViewInit(): void;
    uploadChange(): void;
    triggerUploadEvent(): void;
    graphSize(): any;
    resizeDesigner(): void;
    redrawDesigner(): void;
    processExistingDesigner(config: object): void;
    createNewDesigner(config: object): void;
    getWorkflowDesigner(config: object): any;
    loadScheme(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowDesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkflowDesignerComponent, "workflow-designer", never, { "schemeCode": { "alias": "schemeCode"; "required": false; }; "processId": { "alias": "processId"; "required": false; }; "designerFolder": { "alias": "designerFolder"; "required": false; }; "designerConfig": { "alias": "designerConfig"; "required": false; }; }, {}, never, never, false, never>;
}
